Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454595 - bluetooth-applet shows wrong service information
Summary: bluetooth-applet shows wrong service information
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez-gnome
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 07:57 UTC by Stefan Jensen
Modified: 2009-01-09 06:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:40:00 UTC


Attachments (Terms of Use)
bluetooth preferences screenshot showing wrong services (deleted)
2008-07-09 07:57 UTC, Stefan Jensen
no flags Details

Description Stefan Jensen 2008-07-09 07:57:24 UTC
Description of problem:

after upgrading to the latest bluez-* from repo, bluetooth-applet shows the
wrong service information and some "file not found" errros appears on starting
the bluetooth server.

Version-Release number of selected component (if applicable):

bluez-utils-gstreamer-3.35-1.fc8
gnome-bluetooth-libs-0.10.0-1.fc8
bluez-utils-cups-3.35-1.fc8
bluez-libs-3.35-1.fc8
bluez-utils-3.35-1.fc8
pybluez-0.9.2-1.fc7
gnome-bluetooth-0.10.0-1.fc8
bluez-gnome-0.14-8.fc8
bluez-utils-alsa-3.35-1.fc8

How reproducible:

Always

Steps to Reproduce:

1. install the above rpm's
2. start bluetooth service
3. watch /var/log/messages
4. start bluetooth-applet and review the "service tab"
  
Actual results:

Errors in /var/log/messages about missing conf files
Wrong service info in bluetooth-applet in gnome.

Expected results:

no errors at all.
Correct service information in bluetooth-applet.


Additional info:

Please see attached screenshot from applet.

Errors from /var/log/messages:

Jul  9 09:52:09 hurricane hcid[20052]: Bluetooth HCI daemon
Jul  9 09:52:09 hurricane hcid[20052]: Parsing /etc/bluetooth/main.conf failed:
No such file or directory
Jul  9 09:52:09 hurricane hcid[20052]: Starting SDP server
Jul  9 09:52:09 hurricane hcid[20052]: Registered manager path:/org/bluez/serial
Jul  9 09:52:09 hurricane hcid[20052]: Parsing /etc/bluetooth/audio.conf failed:
No such file or directory
Jul  9 09:52:09 hurricane hcid[20052]: Unix socket created: 12
Jul  9 09:52:09 hurricane hcid[20052]: Registered manager path:/org/bluez/audio
Jul  9 09:52:09 hurricane hcid[20052]: Loading device XX:XX:XX:XX:XX:XX (headset )
Jul  9 09:52:09 hurricane hcid[20052]: Setting XX:XX:XX:XX:XX:XX as default device
Jul  9 09:52:09 hurricane hcid[20052]: Parsing /etc/bluetooth/input.conf failed:
No such file or directory
Jul  9 09:52:09 hurricane hcid[20052]: Registered input manager
path:/org/bluez/input
Jul  9 09:52:09 hurricane hcid[20052]: Parsing /etc/bluetooth/network.conf
failed: No such file or directory
Jul  9 09:52:09 hurricane kernel: pan0: Dropping NETIF_F_UFO since no
NETIF_F_HW_CSUM feature.
Jul  9 09:52:09 hurricane hcid[20052]: bridge pan0 created
Jul  9 09:52:09 hurricane hcid[20052]: Registered manager path:/org/bluez/network
Jul  9 09:52:09 hurricane hcid[20052]: Registered server path:/org/bluez/network/nap
Jul  9 09:52:09 hurricane hcid[20052]: Registered server path:/org/bluez/network/gn
Jul  9 09:52:09 hurricane hcid[20052]: Registered server
path:/org/bluez/network/panu
Jul  9 09:52:09 hurricane hcid[20052]: HCI dev 0 registered
Jul  9 09:52:09 hurricane hcid[20052]: HCI dev 0 already up
Jul  9 09:52:09 hurricane hcid[20052]: Device hci0 has been added
Jul  9 09:52:09 hurricane hcid[20052]: Starting security manager 0
Jul  9 09:52:09 hurricane hcid[20052]: Device hci0 has been activated
Jul  9 09:52:09 hurricane hcid[20052]: Default passkey agent (:1.59,
/org/bluez/passkey) registered
Jul  9 09:52:09 hurricane hcid[20052]: Default authorization agent (:1.59,
/org/bluez/auth) registered

Comment 1 Stefan Jensen 2008-07-09 07:57:24 UTC
Created attachment 311353 [details]
bluetooth preferences screenshot showing wrong services

Comment 2 Bastien Nocera 2008-10-14 19:53:42 UTC
The missing labels is probably not related to the missing configuration files. Do you still see the problem with the latest 3.35-3 build?

Comment 3 Stefan Jensen 2008-10-22 16:10:15 UTC
If have now updated to the latest rpm's for F8 that i have found on koji. Still the same behavior with the missing service names.

$ rpm -qa| grep bluez

bluez-utils-alsa-3.35-4.fc8
bluez-libs-3.35-1.fc8
pybluez-0.9.2-1.fc7
bluez-utils-gstreamer-3.35-4.fc8
bluez-utils-3.35-4.fc8
bluez-gnome-0.14-8.fc8
bluez-utils-cups-3.35-4.fc8

Comment 4 Bug Zapper 2008-11-26 10:58:52 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-01-09 06:40:00 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.